Summary:	Solver LP and MIP problems
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP
Name:		glpk
Version:	4.64
Release:	1
License:	GPL v3+
Group:		Applications/Math
Source0:	http://ftp.gnu.org/gnu/glpk/%{name}-%{version}.tar.gz
# Source0-md5:	71a99d744589570f3ee98a566f27ea49
Patch0:		%{name}-dl.patch
Patch1:		%{name}-sonames.patch
URL:		http://www.gnu.org/software/glpk/glpk.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	mysql-devel >= 5.5.10
BuildRequires:	rpmbuild(macros) >= 1.721
BuildRequires:	sed >= 4.0
BuildRequires:	unixODBC-devel >= 2.3.1
%if 0%{?_soname_prov:1}
%define	libodbc_soname	libodbc.so.2
%define	libmysqlclient_soname	libmysqlclient.so.18
# BRs to verify current sonames (bump the above if not satisfied)
BuildRequires:	%{_soname_prov %{libodbc_soname}}
BuildRequires:	%{_soname_prov %{libmysqlclient_soname}}
Suggests:	%{_soname_prov %{libodbc_soname}}
Suggests:	%{_soname_prov %{libmysqlclient_soname}}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GLPK package is intended for solving linear programming (LP) and
mixed integer linear programming (MIP) problems. It is a set of
routines organized in the form of a library and written in the ANSI C
programming language.

%description -l pl.UTF-8
Pakiet GLPK służy do rozwiązywania problemów programowania liniowego
(LP) oraz mieszanych problemów całkowitoliczbowego programowania
liniowego (MIP). Jest to zestaw narzędzi zorganizowanych w formie
biblioteki i napisanych w ANSI C.

%package devel
Summary:	Solver LP and MIP problems - header file
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP - plik nagłówkowy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Solver LP and MIP problems - development files.

%description devel -l pl.UTF-8
Narzędzie do rozwiązywania problemów LP i MIP - pliki dla
programistów.

%package static
Summary:	Solver LP and MIP problems - static library
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Solver LP and MIP problems - static library.

%description static -l pl.UTF-8
Narzędzie do rozwiązywania problemów LP i MIP - biblioteka statyczna.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's,@libodbc_soname@,%{libodbc_soname},' \
            -e 's,@libmysqlclient_soname@,%{libmysqlclient_soname},' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-dl=dlfcn \
	--enable-mysql \
	--enable-odbc=unix \
	--with-gmp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS doc/{*.txt,*.pdf,notes}
%attr(755,root,root) %{_bindir}/glpsol
%attr(755,root,root) %{_libdir}/libglpk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglpk.so.40

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglpk.so
%{_libdir}/libglpk.la
%{_includedir}/glpk.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libglpk.a
%changelog
* Mon Dec 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glpk.git;a=log;h=master

* Mon Dec 11 2017 Jakub Bogusz <qboosh@pld-linux.org> fd5d1b4
- updated to 4.64

* Wed Jul 26 2017 Jakub Bogusz <qboosh@pld-linux.org> d6fb708
- updated to 4.63

* Thu Jun 22 2017 Jakub Bogusz <qboosh@pld-linux.org> 642318e
- updated to 4.62

* Mon Jan 30 2017 Jakub Bogusz <qboosh@pld-linux.org> fe5adb2
- updated to 4.61

* Mon Apr 18 2016 Jakub Bogusz <qboosh@pld-linux.org> c724775
- updated to 4.60 (note: new soname)

* Mon Mar 07 2016 Jakub Bogusz <qboosh@pld-linux.org> a9e383f
- removed obsolete API break note

* Wed Feb 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 04f0ed4
- updated to 4.58 (note: new soname)

* Sat Oct 31 2015 Jakub Bogusz <qboosh@pld-linux.org> b30b4c7
- updated to 4.56

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7f1b310
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 017e971
- updated to 4.55

* Thu Apr 03 2014 Jakub Bogusz <qboosh@pld-linux.org> bd5daa6
- updated to 4.54

* Fri Feb 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 0819e59
- updated to 4.53

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 99dc32b
- updated to 4.52.1 (note: new soname)

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 7c3fd95
- updated to 4.52

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> d95d642
- updated to 4.51 (note: new soname)

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 57912ea
- up to 4.50 (note: new soname)

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> f7cae34
- added API breakage note

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 16f8ff3
- updated to 4.49 (note: new soname)
- updated sonames patch and dependencies for current unixODBC and mysql

* Fri Feb 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 3ef0927
- updated to 4.48 (note: new soname)

* Mon Sep 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 594f263
- updated to 4.47

